CrystaX NDK - Bug #938

pthread_mutex_timedlock test failed
05/07/2015 11:51 AM - Dmitry Moskalchuk

Status: Closed Start date: 05/07/2015
Priority: High Due date:

Assignee: Alexander Zhukov % Done: 100%
Category: test Estimated time: 0.00 hour
Target version: 10.2.0

CPU Architecture: arm Android version:

Host OS: Linux CrystaX Version:

Toolchain: gcec-4.9

Description

2015-05-07 06:35:47.839 UTC:
2015-05-07 06:35:50.846 UTC:
2015-05-07 06:35:50.846 UTC:
2015-05-07 06:35:50.846 UTC:
2015-05-07 06:35:50.846 UTC:
2015-05-07 06:35:50.846 UTC:
2015-05-07 06:35:50.846 UTC:
2015-05-07 06:35:50.846 UTC:
2015-05-07 06:35:50.847 UTC:
2015-05-07 06:35:50.847 UTC:
2015-05-07 06:35:50.847 UTC:
2015-05-07 06:35:50.847 UTC:
2015-05-07 06:35:50.847 UTC:
2015-05-07 06:35:57.861 UTC:

> ## ADBRUNNER.22421 [emulator-5560]
> ## ADBRUNNER.22421 [emulator-5560]
> ## ADBRUNNER.22421 [emulator-5560]
> ## ADBRUNNER.22421 [emulator-5560]
> ## ADBRUNNER.22421 [emulator-5560]
> ## ADBRUNNER.22421 [emulator-5560]
> ## ADBRUNNER.22421 [emulator-5560]
> ## ADBRUNNER.22421 [emulator-5560]
> ## ADBRUNNER.22421 [emulator-5560]
> ## ADBRUNNER.22421 [emulator-5560]
> ## ADBRUNNER.22421 [emulator-5560]
> ## ADBRUNNER.22421 [emulator-5560]
> ## ADBRUNNER.22421 [emulator-5560]
> ## ADBRUNNER.22421 [emulator-5560]

failed: expected timeout, got 0 (Success)

2015-05-07 06:35:58.189 UTC:

> ## ADBRUNNER.22421 [emulator-5560]

> test lock_unlock(&fast_mutex): BEGIN

> test lock_unlock(&fast_mutex): OK

> test lock_unlock(&rec_mutex): BEGIN

> test lock_unlock(&rec_mutex): OK

> test lock_unlock(&errcheck_mutex): BEGIN
> test lock_unlock(&errcheck_mutex): OK

> test expired(&fast_mutex): BEGIN

> test expired(&fast_mutex): OK

> test expired(&rec_mutex): BEGIN

> test expired(&rec_mutex): OK

> test expired(&errcheck_mutex): BEGIN

> test expired(&errcheck_mutex): OK

> test with_thread(&fast_mutex): BEGIN

> FATAL: jni/main.c:157: pthread_mutex_timedlock

> Aborted

History

#2 - 05/08/2015 01:50 AM - Dmitry Moskalchuk

- Assignee set to Dmitry Moskalchuk

#3 - 05/13/2015 05:06 PM - Dmitry Moskalchuk

- Assignee changed from Dmitry Moskalchuk to Alexander Zhukov

#4 - 05/20/2015 04:58 PM - Alexander Zhukov

- Status changed from Open to In Progress

#5 - 05/20/2015 07:20 PM - Alexander Zhukov

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

commit 8898182d353633ec307013ce9d3fff02b9497a84 platform/ndk
